%define name wmdrawer
%define version 0.10.5
%define release 7

Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %release

Summary:	Retractable button bar launcher dockapp
Source:		http://people.easter-eggs.org/~valos/wmdrawer/%{name}-%{version}.tar.gz
License:	GPL
Group:		Graphical desktop/Other
URL:		http://people.easter-eggs.org/~valos/wmdrawer/
Requires:	libgdk_pixbuf2.0_0
Requires:	bash
BuildRequires: 	libgdk_pixbuf2.0_0-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}

%description
wmDrawer is a dock application (dockapp) which provides a drawer
(retractable button bar) to launch applications.

%description -l de
wmDrawer ist ein Dockapp, welches eine ausklappbare
Knopfleiste mit Anwendungsstartern darstellt.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
make

%install


mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 wmdrawer $RPM_BUILD_ROOT%{_bindir}/wmdrawer-bin
install -m 644 doc/wmdrawer.1x.gz $RPM_BUILD_ROOT%{_mandir}/man1

#startup script
%__mkdir -p $RPM_BUILD_ROOT%{_bindir}
%{__cat} > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/bash
#pruefen ob file schon vorhanden
#falls ja, ausfuehren

if (test -e \$HOME/.wmdrawerrc) then
         exec wmdrawer-bin

#falls nein, aus /usr/share/doc/wmdrawer/wmdrawerrc.example holen und nach \$HOME kopieren
else
        cp /usr/share/doc/wmdrawer/wmdrawerrc.example  \$HOME/.wmdrawerrc
        exec wmdrawer-bin
fi
EOF

chmod +x $RPM_BUILD_ROOT%{_bindir}/wmdrawer

# menu entry
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name):wmDrawer 
command="%_bindir/wmdrawer" 
needs="X11" 
section="More Applications/Other" 
icon="system_other_section.png" 
title="wmDrawer" 
longtitle="Retractable button bar launcher dockapp"
EOF

# xdg menu entry
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=wmDrawer is a dock application (dockapp) which provides a retractable button bar to launch applications.
Comment[de]=wmDrawer ist ein Dockapp, welches eine ausklappbare Knopfleiste mit Anwendungsstartern darstellt.
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
Categories=System;Utility;
EOF

%post
%update_menus
%postun
%clean_menus

%files
%doc wmdrawerrc.example AUTHORS ChangeLog COPYING INSTALL README TODO ./doc/wmdrawer-it.sgml ./doc/wmdrawer.sgml
%defattr(755,root,root,0755)
%{_bindir}/wmdrawer
%{_bindir}/wmdrawer-bin
%defattr(-,root,root,0755)
%{_datadir}/applications/wmdrawer.desktop
%{_mandir}/man1/*
%{_menudir}/wmdrawer

%changelog

* Mon Oct 26 2008 Mario Blättermann <rpm@mandivauser.de> 0.10.5-7mud2009.0
- fixed Group

* Wed Oct 15 2008 Mario Blättermann <rpm@mandivauser.de> 0.10.5-6mud2009.0
- rebuild for 2009.0

* Sat Apr 12 2008 Mario Blättermann <rpm@mandrivauser.de> 0.10.5-5mud2008.1
- fixed Requires and BuildRequires
- rebuild for mud2008.0

* Sat Mar 15 2008 Mario Blaettermann <mario.blaettermann@t-online.de> 0.10.5-4mud2008.0
- fixed bug in startup script

* Thu Jan 03 2008 Oliver Burger <rpm@mandrivauser.de> 0.10.5-3mud2008.0
- rebuild for MUde
- changed from csh to bash-script

* Thu Jan 03 2008 Mario Blaettermann <rpm@mandrivauser.de>
- add startup script and xdg menu entry

* Mon Dec 03 2007 Mario Blaettermann <mbl103@arcor.de>
-initial version
